diff -urN trunk.ORG/target/linux/ramips/base-files/etc/board.d/01_leds trunk/target/linux/ramips/base-files/etc/board.d/01_leds
--- trunk.ORG/target/linux/ramips/base-files/etc/board.d/01_leds	2015-11-15 01:06:04.369861516 +0900
+++ trunk/target/linux/ramips/base-files/etc/board.d/01_leds	2015-11-15 01:08:22.269868526 +0900
@@ -30,7 +30,8 @@
 mzk-w300nh2)
 	set_wifi_led "$board:amber:wlan"
 	;;
-a5-v11)
+a5-v11|\
+cs-qr10)
 	ucidef_set_led_default "power" "POWER" "$board:red:power" "1"
 	;;
 ai-br100)
diff -urN trunk.ORG/target/linux/ramips/base-files/etc/board.d/02_network trunk/target/linux/ramips/base-files/etc/board.d/02_network
--- trunk.ORG/target/linux/ramips/base-files/etc/board.d/02_network	2015-11-15 01:06:04.369861516 +0900
+++ trunk/target/linux/ramips/base-files/etc/board.d/02_network	2015-11-15 01:08:50.581869966 +0900
@@ -43,6 +43,7 @@
 	all5002|\
 	all5003|\
 	broadway|\
+	cs-qr10|\
 	dcs-930|\
 	dcs-930l-b1|\
 	ht-tm02|\
diff -urN trunk.ORG/target/linux/ramips/base-files/etc/diag.sh trunk/target/linux/ramips/base-files/etc/diag.sh
--- trunk.ORG/target/linux/ramips/base-files/etc/diag.sh	2015-11-15 01:06:04.369861516 +0900
+++ trunk/target/linux/ramips/base-files/etc/diag.sh	2015-11-15 01:09:28.033871870 +0900
@@ -32,6 +32,7 @@
 		status_led="$board:green:power"
 		;;
 	a5-v11|\
+	cs-qr10|\
 	d105|\
 	dcs-930l-b1|\
 	hlk-rm04|\
diff -urN trunk.ORG/target/linux/ramips/base-files/lib/ramips.sh trunk/target/linux/ramips/base-files/lib/ramips.sh
--- trunk.ORG/target/linux/ramips/base-files/lib/ramips.sh	2015-11-15 01:06:04.369861516 +0900
+++ trunk/target/linux/ramips/base-files/lib/ramips.sh	2015-11-15 01:10:00.365873513 +0900
@@ -88,6 +88,9 @@
 	*"CF-WR800N")
 		name="cf-wr800n"
 		;;
+	*"CS-QR10")
+		name="cs-qr10"
+		;;
 	*"CY-SWR1100")
 		name="cy-swr1100"
 		;;
diff -urN trunk.ORG/target/linux/ramips/base-files/lib/upgrade/platform.sh trunk/target/linux/ramips/base-files/lib/upgrade/platform.sh
--- trunk.ORG/target/linux/ramips/base-files/lib/upgrade/platform.sh	2015-11-15 01:06:04.369861516 +0900
+++ trunk/target/linux/ramips/base-files/lib/upgrade/platform.sh	2015-11-15 01:10:21.001874562 +0900
@@ -34,6 +34,7 @@
 	broadway|\
 	carambola|\
 	cf-wr800n|\
+	cs-qr10|\
 	d105|\
 	dap-1350|\
 	db-wrt01|\
diff -urN trunk.ORG/target/linux/ramips/dts/CS-QR10.dts trunk/target/linux/ramips/dts/CS-QR10.dts
--- trunk.ORG/target/linux/ramips/dts/CS-QR10.dts	1970-01-01 09:00:00.000000000 +0900
+++ trunk/target/linux/ramips/dts/CS-QR10.dts	2015-11-15 01:11:25.149877824 +0900
@@ -0,0 +1,156 @@
+/dts-v1/;
+
+/include/ "mt7620a.dtsi"
+
+/ {
+	compatible = "ralink,mt7620a-soc";
+	model = "Planex CS-QR10";
+
+	palmbus@10000000 {
+		gpio0: gpio@600 {
+			status = "okay";
+		};
+		gpio1: gpio@638 {
+			status = "okay";
+		};
+		gpio2: gpio@660 {
+			status = "okay";
+		};
+		gpio3: gpio@688 {
+			status = "okay";
+		};
+
+		i2c@900 {
+			status = "okay";
+		};
+
+		i2s: i2s@a00 {
+			status = "okay";
+			pinctrl-names = "default";
+			pinctrl-0 = <&pcm_i2s_pins>;
+		};
+
+		spi@b00 {
+			status = "okay";
+
+			m25p80@0 {
+				#address-cells = <1>;
+				#size-cells = <1>;
+				compatible = "en25q64";
+				reg = <0 0>;
+				linux,modalias = "m25p80", "mx25l6405d";
+				spi-max-frequency = <10000000>;
+
+				partition@0 {
+					label = "u-boot";
+					reg = <0x0 0x30000>;
+					read-only;
+				};
+
+				partition@30000 {
+					label = "u-boot-env";
+					reg = <0x30000 0x10000>;
+					read-only;
+				};
+
+				factory: partition@40000 {
+					label = "factory";
+					reg = <0x40000 0x10000>;
+					read-only;
+				};
+
+				partition@50000 {
+					label = "firmware";
+					reg = <0x50000 0x7b0000>;
+				};
+			};
+		};
+		pcm@2000 {
+			status = "okay";
+		};
+		gdma@2800 {
+			status = "okay";
+		};
+	};
+
+	pinctrl {
+		state_default: pinctrl0 {
+			gpio {
+				ralink,group = "spi refclk", "rgmii1";
+				ralink,function = "gpio";
+			};
+			wdt {
+				ralink,group = "wdt";
+				ralink,function = "wdt refclk";
+			};
+		};
+	};
+
+	ethernet@10100000 {
+		pinctrl-names = "default";
+		pinctrl-0 = <&ephy_pins>;
+		mtd-mac-address = <&factory 0x4>;
+	};
+
+	gsw@10110000 {
+		ralink,port4 = "ephy";
+	};
+
+	sdhci@10130000 {
+		status = "okay";
+	};
+
+	ehci@101c0000 {
+		status = "okay";
+	};
+
+	ohci@101c1000 {
+		status = "okay";
+	};
+	wmac@10180000 {
+		ralink,mtd-eeprom = <&factory 0>;
+	};
+
+	pcie@10140000 {
+		status = "okay";
+	};
+
+	sound {
+		compatible = "mediatek,mt7620-audio-wm8960";
+		model = "mt7620-wm8960";
+		i2s-controller = <&i2s>;
+		audio-routing =
+		"Ext Spk", "SPK_LP",
+ 		"Ext Spk", "SPK_LN",
+		"Ext Spk", "SPK_RP",
+ 		"Ext Spk", "SPK_RN";
+	};
+
+	gpio-leds {
+		compatible = "gpio-leds";
+
+		power {
+			label = "cs-qr10:red:power";
+			gpios = <&gpio1 4 1>;
+		};
+	};
+
+	gpio-keys-polled {
+		compatible = "gpio-keys-polled";
+		#address-cells = <1>;
+		#size-cells = <0>;
+		poll-interval = <20>;
+
+		s1 {
+			label = "reset";
+			gpios = <&gpio1 1 1>;
+			linux,code = <0x198>;
+		};
+
+		s2 {
+			label = "wps";
+			gpios = <&gpio1 3 1>;
+			linux,code = <0x211>;
+		};
+	};
+};
diff -urN trunk.ORG/target/linux/ramips/image/Makefile trunk/target/linux/ramips/image/Makefile
--- trunk.ORG/target/linux/ramips/image/Makefile	2015-11-15 01:06:04.385861516 +0900
+++ trunk/target/linux/ramips/image/Makefile	2015-11-15 01:12:33.221881284 +0900
@@ -881,6 +881,7 @@
 Image/Build/Profile/WHR1166D=$(call BuildFirmware/CustomFlash/$(1),$(1),whr-1166d,WHR-1166D,$(whr_1166d_mtd_size))
 dlink810l_mtd_size=6881280
 Image/Build/Profile/CF-WR800N=$(call BuildFirmware/Default8M/$(1),$(1),cf-wr800n,CF-WR800N)
+Image/Build/Profile/CS-QR10=$(call BuildFirmware/Default8M/$(1),$(1),cs-qr10,CS-QR10)
 Image/Build/Profile/DIR-810L=$(call BuildFirmware/CustomFlash/$(1),$(1),dir-810l,DIR-810L,$(dlink810l_mtd_size))
 na930_mtd_size=20971520
 Image/Build/Profile/NA930=$(call BuildFirmware/CustomFlash/$(1),$(1),na930,NA930,$(na930_mtd_size))
@@ -917,6 +918,7 @@
 	$(call Image/Build/Profile/MT7620a_V22SG,$(1))
 	$(call Image/Build/Profile/AI-BR100,$(1))
 	$(call Image/Build/Profile/CF-WR800N,$(1))
+	$(call Image/Build/Profile/CS-QR10,$(1))
 	$(call Image/Build/Profile/RP-N53,$(1))
 	$(call Image/Build/Profile/DIR-810L,$(1))
 	$(call Image/Build/Profile/WHR300HP2,$(1))
diff -urN trunk.ORG/target/linux/ramips/mt7620/profiles/planex.mk trunk/target/linux/ramips/mt7620/profiles/planex.mk
--- trunk.ORG/target/linux/ramips/mt7620/profiles/planex.mk	1970-01-01 09:00:00.000000000 +0900
+++ trunk/target/linux/ramips/mt7620/profiles/planex.mk	2015-11-15 01:13:14.717883394 +0900
@@ -0,0 +1,19 @@
+#
+# Copyright (C) 2015 OpenWrt.org
+#
+# This is free software, licensed under the GNU General Public License v2.
+# See /LICENSE for more information.
+#
+
+define Profile/CS-QR10
+	NAME:=Planex CS-QR10
+	PACKAGES:=\
+		kmod-usb-core kmod-usb2 kmod-usb-ohci \
+		i2c-core kmod-i2c-ralink kmod-sound-core kmod-sound-mtk \
+		kmod-sdhci-mt7620 kmod-nls-cp437 kmod-nls-iso8859-1 kmod-fs-vfat
+endef
+
+define Profile/CS-QR10/Description
+	Package set optimized for the Planex CS-QR10.
+endef
+$(eval $(call Profile,CS-QR10))
